Debian Bug report logs - #659420
flowscan: Uses perl4 corelibs without Depends

version graph

Package: flowscan; Maintainer for flowscan is Guillaume Delacour <gui@iroqwa.org>; Source for flowscan is src:flowscan.

Reported by: Dominic Hargreaves <dom@earth.li>

Date: Fri, 10 Feb 2012 23:48:01 UTC

Severity: normal

Found in version flowscan/1.006-13

Fixed in version flowscan/1.006-13.2

Done: Dominic Hargreaves <dom@earth.li>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#659420; Package flowscan. (Fri, 10 Feb 2012 23:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
New Bug report received and forwarded. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Fri, 10 Feb 2012 23:48:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: submit@bugs.debian.org
Subject: flowscan: Uses perl4 corelibs without Depends
Date: Fri, 10 Feb 2012 23:44:56 +0000
Package: flowscan
Version: 1.006-13
Severity: normal
User: debian-perl@lists.debian.org
Usertags: perl4-corelibs

Dear maintainer,

This package currently uses one or more deprecated perl 4 era packages,
as shown on the lintian report[1]:

usr/bin/locker:7 getopts.pl

As detailed at [2] we would like you to either add a dependency on

libperl4-corelibs-perl | perl (<< 5.12.3-7)

or (ideally) to replace their use with more modern equivalents.
We'd like to have this in place for wheezy, so that we can follow
cleanly the upstream deprecation cycle in wheezy+1.

If you prefer, I will NMU your package with the dependency added.

The wiki page [2] has references (taken from the source of the libraries
in question) for the recommended replacement libraries.

Thanks,
Dominic.

[1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
[2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)




Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659420; Package flowscan. (Mon, 13 Feb 2012 19:36:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. (Mon, 13 Feb 2012 19:36:03 GMT) Full text and rfc822 format available.

Message #10 received at submit@bugs.debian.org (full text, mbox):

From: Guillaume Delacour <gui@iroqwa.org>
To: Dominic Hargreaves <dom@earth.li>, 659420@bugs.debian.org
Cc: submit@bugs.debian.org
Subject: Re: Bug#659420: flowscan: Uses perl4 corelibs without Depends
Date: Mon, 13 Feb 2012 20:32:25 +0100
[Message part 1 (text/plain, inline)]
Le vendredi 10 février 2012 à 23:44 +0000, Dominic Hargreaves a écrit :
> Package: flowscan
> Version: 1.006-13
> Severity: normal
> User: debian-perl@lists.debian.org
> Usertags: perl4-corelibs
> 
> Dear maintainer,

Hello,

> 
> This package currently uses one or more deprecated perl 4 era packages,
> as shown on the lintian report[1]:
> 
> usr/bin/locker:7 getopts.pl
> 
> As detailed at [2] we would like you to either add a dependency on
> 
> libperl4-corelibs-perl | perl (<< 5.12.3-7)
> 
> or (ideally) to replace their use with more modern equivalents.
> We'd like to have this in place for wheezy, so that we can follow
> cleanly the upstream deprecation cycle in wheezy+1.
> 
> If you prefer, I will NMU your package with the dependency added.

Go ahead, i lak time to update this package.
Thanks.

> 
> The wiki page [2] has references (taken from the source of the libraries
> in question) for the recommended replacement libraries.
> 
> Thanks,
> Dominic.
> 
> [1] <http://lintian.debian.org/tags/script-uses-perl4-libs-without-dep.html>
> [2] <http://wiki.debian.org/Teams/DebianPerlGroup/OpenTasks/Transitions/Perl4CoreLibs>
> 

-- 
Guillaume Delacour <gui@iroqwa.org>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org:
Bug#659420; Package flowscan. (Mon, 13 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillaume Delacour <gui@iroqwa.org>:
Extra info received and forwarded to list. (Mon, 13 Feb 2012 19:45:03 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Tue, 14 Feb 2012 19:54:07 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659420: 660044 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:30:03 GMT) Full text and rfc822 format available.

Added blocking bug(s) of 659420: 660041 Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:30:04 GMT) Full text and rfc822 format available.

Removed tag(s) pending. Request was from Dominic Hargreaves <dom@earth.li> to control@bugs.debian.org. (Wed, 15 Feb 2012 23:30:05 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Guillaume Delacour <gui@iroqwa.org>:
Bug#659420; Package flowscan. (Sat, 17 Mar 2012 18:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dominic Hargreaves <dom@earth.li>:
Extra info received and forwarded to list. Copy sent to Guillaume Delacour <gui@iroqwa.org>. (Sat, 17 Mar 2012 18:39:03 GMT) Full text and rfc822 format available.

Message #28 received at 659420@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659420@bugs.debian.org
Subject: NMU uploaded
Date: Sat, 17 Mar 2012 18:36:34 +0000
[Message part 1 (text/plain, inline)]
Patch attached.

Regards,
Dominic.

-- 
Dominic Hargreaves | http://www.larted.org.uk/~dom/
PGP key 5178E2A5 from the.earth.li (keyserver,web,email)
[flowscan_1.006-13.2.debdiff (text/plain, attachment)]

Reply sent to Dominic Hargreaves <dom@earth.li>:
You have taken responsibility. (Sat, 17 Mar 2012 18:51:06 GMT) Full text and rfc822 format available.

Notification sent to Dominic Hargreaves <dom@earth.li>:
Bug acknowledged by developer. (Sat, 17 Mar 2012 18:51:06 GMT) Full text and rfc822 format available.

Message #33 received at 659420-close@bugs.debian.org (full text, mbox):

From: Dominic Hargreaves <dom@earth.li>
To: 659420-close@bugs.debian.org
Subject: Bug#659420: fixed in flowscan 1.006-13.2
Date: Sat, 17 Mar 2012 18:47:11 +0000
Source: flowscan
Source-Version: 1.006-13.2

We believe that the bug you reported is fixed in the latest version of
flowscan, which is due to be installed in the Debian FTP archive:

flowscan_1.006-13.2.diff.gz
  to main/f/flowscan/flowscan_1.006-13.2.diff.gz
flowscan_1.006-13.2.dsc
  to main/f/flowscan/flowscan_1.006-13.2.dsc
flowscan_1.006-13.2_all.deb
  to main/f/flowscan/flowscan_1.006-13.2_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 659420@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dominic Hargreaves <dom@earth.li> (supplier of updated flowscan package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sat, 17 Mar 2012 18:24:30 +0000
Source: flowscan
Binary: flowscan
Architecture: source all
Version: 1.006-13.2
Distribution: unstable
Urgency: low
Maintainer: Guillaume Delacour <gui@iroqwa.org>
Changed-By: Dominic Hargreaves <dom@earth.li>
Description: 
 flowscan   - flow-based IP traffic analysis and visualization tool
Closes: 659420
Changes: 
 flowscan (1.006-13.2) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Add Depends on libperl4-corelibs-perl (Closes: #659420)
Checksums-Sha1: 
 b33213b148efe177a25c37a23e3e9fc4fa0b8d03 1304 flowscan_1.006-13.2.dsc
 83ac5986b10b35518fe5ce2da6b5f257bfd80188 7753 flowscan_1.006-13.2.diff.gz
 69200eefe43caa7566d83ef6c8a31641bff820fe 142794 flowscan_1.006-13.2_all.deb
Checksums-Sha256: 
 4101ec821e772c482a180c17ff621f521d8d8bbc47f002253ffe720ae240f605 1304 flowscan_1.006-13.2.dsc
 091d43e58521ecb3a9a9471351775284eb41dc78bea95233b250081d9ed1e63e 7753 flowscan_1.006-13.2.diff.gz
 7efdc41194a03f50388762ab6bd9f8ea8769359444711419f3da760b68144f40 142794 flowscan_1.006-13.2_all.deb
Files: 
 63d67b0ce950694e09cf40f26ee35045 1304 net optional flowscan_1.006-13.2.dsc
 eded8e306d9bc7cfe3d9f3f3f14ada88 7753 net optional flowscan_1.006-13.2.diff.gz
 ea98a6dca34056f14403f81c0c1b212b 142794 net optional flowscan_1.006-13.2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iD8DBQFPZNkWYzuFKFF44qURAqXbAJ9640BGt4HWadSDiZGkDQ3SKb+8HwCg06+1
kIMy5P3Ez9ZSW41/VR0KxZc=
=41ON
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Wed, 25 Apr 2012 07:34:25 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 19:14:17 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.